Part: Cilindro

From FreeCAD Documentation
Revision as of 14:03, 8 January 2022 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Cilindro

Posizione nel menu
Parte → Primitive → Cilindro
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive

Description

Descrizione

Crea un cilindro parametrico. Attualmente, nell'ambiente Parte, ci sono due modi per creare un cilindro.

Utilizzo

  1. Attivare l'ambiente Parte.
  2. Richiamare il comando Cilindro in uno di questi modi:
    • Premere il pulsante
    • Usare Part → Primitive → Cilindro dal menu principale.

Risultato: Un cilindro pieno centrato su una faccia coincidente con l'origine globale (punto 0,0,0), con un raggio di 2 mm e un'altezza di 10 mm.

The cylinder properties can later be edited, either in the Property editor or by double-clicking the cylinder in the Tree view.

a cylinder created with the Cylinder tool

Opzioni

Le proprietà possono essere successivamente modificate nella scheda dati del cilindro:

  • DatiAngle: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)
  • DatiHeight: The height is the distance in the z-axis
  • DatiRadius: The radius defines a plane in x-y.
  • DatiFirst Angle: Angle in first direction. introduced in version 0.20
  • DatiSecond Angle: Angle in second direction. introduced in version 0.20

Scripting

A Part Cylinder can be created using the following function:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.